module Uni.DNF4.Test (main) where

import Common.LogicGenerator
import Common.Logic
import Common.DNF
import System.CPUTime (getCPUTime)


dnf = dnf4
nr = 100000

main :: IO ()
main = do
   t1 <- getCPUTime
   let p l = if isDNF (runStrategy dnf l) then True else error (show l)
   if all p $ take nr formula then reportTick else error "ERROR!"
   t2 <- getCPUTime
   let diff = fromInteger (t2 - t1) / (1000000000 :: Double)
   putStrLn ("\t" ++ show diff)
